LittleShop/Models/producto.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LittleShop.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class producto
    {
        public int id_producto { get; set; }
        public string producto_nombre { get; set; }
        public long producto_precio { get; set; }
        public int producto_cantidad { get; set; }
        public string producto_descripcion { get; set; }
        public int id_proveedor { get; set; }
    
        public virtual proveedore proveedore { get; set; }
    }
}

LittleShop/Controllers/productosController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using LittleShop.Models;

namespace LittleShop.Controllers
{
    public class productosController : Controller
    {
        private TiendaEntities db = new TiendaEntities();

        // GET: productos
        public ActionResult Index()
        {
            var productos = db.productos.Include(p => p.proveedore);
            return View(productos.ToList());
        }

        // GET: productos/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            producto producto = db.productos.Find(id);
            if (producto == null)
            {
                return HttpNotFound();
            }
            return View(producto);
        }

        // GET: productos/Create
        public ActionResult Create()
        {
            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor");
            return View();
        }

        // POST: productos/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "id_producto,producto_nombre,producto_precio,producto_cantidad,producto_descripcion,id_proveedor")] producto producto)
        {
            if (ModelState.IsValid)
            {
                db.productos.Add(producto);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor", producto.id_proveedor);
            return View(producto);
        }

        // GET: productos/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            producto producto = db.productos.Find(id);
            if (producto == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor", producto.id_proveedor);
            return View(producto);
        }

        // POST: productos/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "id_producto,producto_nombre,producto_precio,producto_cantidad,producto_descripcion,id_proveedor")] producto producto)
        {
            if (ModelState.IsValid)
            {
                db.Entry(producto).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor", producto.id_proveedor);
            return View(producto);
        }

        // GET: productos/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            producto producto = db.productos.Find(id);
            if (producto == null)
            {
                return HttpNotFound();
            }
            return View(producto);
        }

        // POST: productos/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            producto producto = db.productos.Find(id);
            db.productos.Remove(producto);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }

        // GET: productos/Edit/5
        public ActionResult VentaProductos(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            producto producto = db.productos.Find(id);
            if (producto == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor", producto.id_proveedor);
            return View(producto);
        }

        // POST: productos/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult VentaProductos([Bind(Include = "id_producto,producto_nombre,producto_precio,producto_cantidad,producto_descripcion,id_proveedor")] producto producto, int cantidadProducto)
        {
            if (ModelState.IsValid)
            {

                producto.producto_cantidad = producto.producto_cantidad - cantidadProducto;

                db.Entry(producto).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_proveedor = new SelectList(db.proveedores, "id_proveedor", "nombre_proveedor", producto.id_proveedor);
            return View(producto);
        }

        public ActionResult precioVenta(int id_producto, int cantidad_producto)
        {
            var coste = (from producto in db.productos
                         where producto.id_producto == id_producto
                         select producto.producto_precio).FirstOrDefault();

            int valor = int.Parse(coste.ToString());

            return Content((valor * cantidad_producto).ToString());
        }
    }
}

LittleShop/Views/productos/Create.cshtml
@model LittleShop.Models.producto

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>producto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.producto_nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_nombre, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_precio, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_precio, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_precio, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_cantidad, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_cantidad, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_cantidad, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_descripcion, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_descripcion, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_descripcion, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.id_proveedor, "id_proveedor", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("id_proveedor", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.id_proveedor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

LittleShop/Views/productos/Delete.cshtml
@model LittleShop.Models.producto

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>producto</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.producto_nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_precio)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_precio)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_cantidad)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_cantidad)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_descripcion)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_descripcion)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.proveedore.nombre_proveedor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.proveedore.nombre_proveedor)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

LittleShop/Views/productos/Details.cshtml
@model LittleShop.Models.producto

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>producto</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.producto_nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_precio)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_precio)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_cantidad)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_cantidad)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.producto_descripcion)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.producto_descripcion)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.proveedore.nombre_proveedor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.proveedore.nombre_proveedor)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.id_producto }) |
    @Html.ActionLink("Back to List", "Index")
</p>

LittleShop/Views/productos/Edit.cshtml
@model LittleShop.Models.producto

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>producto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.id_producto)

        <div class="form-group">
            @Html.LabelFor(model => model.producto_nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_nombre, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_precio, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_precio, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_precio, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_cantidad, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_cantidad, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_cantidad, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_descripcion, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_descripcion, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_descripcion, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.id_proveedor, "id_proveedor", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("id_proveedor", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.id_proveedor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

LittleShop/Views/productos/Index.cshtml
@model IEnumerable<LittleShop.Models.producto>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.producto_nombre)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.producto_precio)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.producto_cantidad)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.producto_descripcion)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.proveedore.nombre_proveedor)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.producto_nombre)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.producto_precio)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.producto_cantidad)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.producto_descripcion)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.proveedore.nombre_proveedor)
        </td>
        <td>
            @Html.ActionLink("Venta", "VentaProductos", new { id = item.id_producto }) |
            @Html.ActionLink("Editar", "Edit", new { id = item.id_producto }) |
            @Html.ActionLink("Detalles", "Details", new { id = item.id_producto }) |
            @Html.ActionLink("Eliminar", "Delete", new { id = item.id_producto })
        </td>
    </tr>
}

</table>

LittleShop/Views/productos/VentaProductos.cshtml
@model LittleShop.Models.producto

@{
    ViewBag.Title = "VentaProductos";
}

<h2>VentaProductos</h2>

<script src="@Url.Content("~/Scripts/jquery-3.3.1.min.js")" type="text/javascript">

</script>

<script>
    $(document).ready(function () {
        $('#cantidadProducto').on('input', function () {
            $.ajax({
                data: {
                    cantidad_producto: $('#cantidadProducto').val(),
                    id_producto: @Model.id_producto
                    },
                type: "GET",
                url: '@Url.Action("precioVenta","productos")',
                success: function (resultado) {
                    $('#precioVenta').val(resultado);
                }
            });
        });
    });
</script>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>producto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.id_producto)

        <div class="form-group">
            @Html.LabelFor(model => model.producto_nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_nombre, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_precio, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_precio, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_precio, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_cantidad, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_cantidad, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_cantidad, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_descripcion, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_descripcion, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_descripcion, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2"> Cantidad vendida </label>
            <div class="col-md-10">
                <input type="text" id="cantidadProducto" name="cantidadProducto" placeholder="cantidad" class="form-control" />
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2"> Subtotal </label>
            <div class="col-md-10">
                <input type="text" id="precioVenta" name="precioVenta" class="form-control" />
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.id_proveedor, "id_proveedor", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("id_proveedor", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.id_proveedor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}